Page 1 of 1

installation from ports is unable to determine OS version

Posted: Tue Sep 17, 2019 7:04 pm
by ouaille_aime_scier_
Hello guys,

I tried to install a package from port sources, but the compilation fails about this message : make: "/usr/ports/Mk/bsd.port.mk" line 1160: Unable to determine OS version. Either define OSVERSION, install /usr/include/sys/param.h or define SRC_BASE.

I found in FreeBSD documentation that I can manually setenv OS version before compiling but I ignore wich value to define (12.x-RELEASE or -STABLE) ?

Re: installation from ports is unable to determine OS version

Posted: Wed Sep 18, 2019 9:26 am
by ericbsd
I would not recommend you to use ports unless you know what you do. To use ports you will need to install src and os-userland-devtools packages, also make sure to use https://github.com/ghostbsd/ghostbsd-ports.

Re: installation from ports is unable to determine OS version  [SOLVED]

Posted: Wed Sep 18, 2019 5:36 pm
by ouaille_aime_scier_
Thanks ericbsd I will try it.

Re: installation from ports is unable to determine OS version

Posted: Fri Sep 20, 2019 12:19 pm
by ouaille_aime_scier_
It works fine, I just need to install os-generic-userland-devtools :-) I wanted compiling exfat-utils to mount FAT32 usb key but I saw an other post here on the subject.

Re: installation from ports is unable to determine OS version

Posted: Mon Nov 25, 2019 12:12 pm
by i18nde
I had the same problem trying to install exfat. I need this to see the right names at mit US stick. I'm German, so we have a lot äöü and ß. SO, do i understand your post right:
You solved your problem by installing exfat-utils? Only after installing install os-generic-userland-devtools, of course.
Or do I need fusefs-exfat, what is available too.

Thanks for an answer, would help me a lot ... ;)

Re: installation from ports is unable to determine OS version

Posted: Sat Dec 07, 2019 11:18 am
by Ian_Robinson